import path_setting
from in_common.base_request import BaseRequest


class tag_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.TAG_CONFIG)

    # 进入发帖子页面-选择医院
    def list(self, level=3, tag_from=1):
        self.params["level"] = level
        self.params["tag_from"] = tag_from
        return self.api_send(self.data["list"])

   # 直播开播新加标签
    def tag_add(self,name):
        self.params["name"] = name
        return self.api_send(self.data["tag_add"])

if __name__ == '__main__':
    print(tag_request().tag_add("你好"))
